%define name libfaim
%define version 0.90
%define release 2

Summary: The libfaim Oscar/AOL Instant Messanger protocol library
Name: %{name}
Version: %{version}
Release: %{release}
Group: System Environment/Libraries
Source: http://download.sourceforge.net/libfaim/libfaim-snap-19991224-064833.tar.gz
Url: http://www.auk.cx/faim/
Copyright: LGPL
Buildroot: /tmp/%{name}-%{version}-root
Prefix: /usr

%description
libfaim is a library used for building AOL Instant Messenger clients of any
sort; handles all the low-level protocol issues letting the client just implement a user inferface. 

%package devel
Summary: Header files and libraries for developing apps which will use libfaim.
Group: Development/Libraries
Requires: libfaim

%description devel
The libfaim-devel package contains the header files and libraries for
developing apps which will use libfaim.

Install the libfaim-devel package if you want to develop applications that
will use the libfaim library.

%prep
%setup -q -n libfaim-snap-19991224-064833

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT/etc

install -D -m755 libfaim.so $RPM_BUILD_ROOT/usr/lib/libfaim.so.0.90
install -D -m644 libfaim.a $RPM_BUILD_ROOT/usr/lib/
install -D -m644 aim.h $RPM_BUILD_ROOT/usr/include/
install -D -m644 faimconfig.h $RPM_BUILD_ROOT/usr/include/

/sbin/ldconfig -r $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libfaim.so*

%files devel
%defattr(-,root,root)
%doc BUGS CHANGES COPYING README
/usr/include/*
/usr/lib/*.a

%changelog
* Sat Jun 3 2000 Jason Spangler <jasons@usemail.com>
- Initial creation of RPM
